Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.output
Class GinjectorImplOutputter

    java.lang.Object
      com.google.gwt.inject.rebind.output.GinjectorImplOutputter

    public class GinjectorImplOutputter

extends java.lang.Object

Outputs all the generated classes for an implementation of a Ginjector interface.

Constructor Summary
`GinjectorImplOutputter(com.google.gwt.inject.rebind.output.GinjectorBindingsOutputter bindingsOutputter, com.google.gwt.core.ext.GeneratorContext ctx, FragmentPackageName.Factory fragmentPackageNameFactory, GinjectorNameGenerator ginjectorNameGenerator, GuiceUtil guiceUtil, com.google.gwt.core.ext.TreeLogger logger, Provider<MemberCollector> collectorProvider, com.google.gwt.inject.rebind.output.ReachabilityAnalyzer reachabilityAnalyzer, SourceWriteUtil.Factory sourceWriteUtilFactory)`

Method Summary
`void` | `write(java.lang.String packageName, java.lang.String implClassName, java.io.PrintWriter printWriter, GinjectorBindings rootBindings)` Writes the implementation of the `Ginjector` interface associated with the given `GinjectorBindings` object, if any, along with all the injector classes and fragment classes required by the implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GinjectorImplOutputter

    @Inject
    public GinjectorImplOutputter(com.google.gwt.inject.rebind.output.GinjectorBindingsOutputter bindingsOutputter,
                                         com.google.gwt.core.ext.GeneratorContext ctx,
                                         FragmentPackageName.Factory fragmentPackageNameFactory,
                                         GinjectorNameGenerator ginjectorNameGenerator,
                                         GuiceUtil guiceUtil,
                                         com.google.gwt.core.ext.TreeLogger logger,
                                         Provider<MemberCollector> collectorProvider,
                                         com.google.gwt.inject.rebind.output.ReachabilityAnalyzer reachabilityAnalyzer,
                                         SourceWriteUtil.Factory sourceWriteUtilFactory)

Method Detail

### write

    public void write(java.lang.String packageName,
                      java.lang.String implClassName,
                      java.io.PrintWriter printWriter,
                      GinjectorBindings rootBindings)
               throws com.google.gwt.core.ext.UnableToCompleteException

  Writes the implementation of the `Ginjector` interface associated with the given `GinjectorBindings` object, if any, along with all the injector classes and fragment classes required by the implementation.

  Throws:
    `com.google.gwt.core.ext.UnableToCompleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD